#!/usr/bin/env python2
# -*- coding: utf-8 -*-

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA

""" init of flr module """

import logging
import os
import sys

logging.basicConfig(level=logging.INFO)
log = logging.getLogger(os.path.basename(sys.argv[0]))

# Mapping of key names to their id
KEYS = {
    'fedora-12-sparc': {'id': 'b3eb779b', 'v3': True},
    'fedora-13-sparc': {'id': '5bf71b5e', 'v3': True},
    'fedora-14-secondary': {'id': '19be0bf9', 'v3': True},
    'fedora-15-secondary': {'id': '3ad31d0b', 'v3': True},
    'fedora-16-secondary': {'id': '10d90a9e', 'v3': True},
    'fedora-17-secondary': {'id': 'f8df67e6', 'v3': True},
    'fedora-18-secondary': {'id': 'a4d647e9', 'v3': True},
    'fedora-19-secondary': {'id': 'ba094068', 'v3': True},
    'fedora-20-secondary': {'id': 'efe550f5', 'v3': True},
    'fedora-21-secondary': {'id': 'a0a7badb', 'v3': True},
    'fedora-22-secondary': {'id': 'a29cb19c', 'v3': True},
    'fedora-23-secondary': {'id': '873529b8', 'v3': True},
    'fedora-24-secondary': {'id': '030d5aed', 'v3': True},
    'fedora-10': {'id': '4ebfc273', 'v3': False},
    'fedora-11': {'id': 'd22e77f2', 'v3': True},
    'fedora-12': {'id': '57bbccba', 'v3': True},
    'fedora-13': {'id': 'e8e40fde', 'v3': True},
    'fedora-14': {'id': '97a1071f', 'v3': True},
    'fedora-15': {'id': '069c8460', 'v3': True},
    'fedora-16': {'id': 'a82ba4b7', 'v3': True},
    'fedora-17': {'id': '1aca3465', 'v3': True},
    'fedora-18': {'id': 'de7f38bd', 'v3': True},
    'fedora-19': {'id': 'fb4b18e6', 'v3': True},
    'fedora-20': {'id': '246110c1', 'v3': True},
    'fedora-21': {'id': '95a43f54', 'v3': True},
    'fedora-22': {'id': '8e1431d5', 'v3': True},
    'fedora-23': {'id': '34ec9cba', 'v3': True},
    'fedora-24': {'id': '81b46521', 'v3': True},
    'fedora-10-testing': {'id': '0b86274e', 'v3': False},
    'epel-5': {'id': '217521f6', 'v3': False},
    'epel-6': {'id': '0608b895', 'v3': True},
    'epel-7': {'id': '352c64e5', 'v3': True},
}

# vim: tabstop=8 expandtab shiftwidth=4 softtabstop=4
