#!/usr/bin/env python2
# -*- coding: utf-8 -*-

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA

""" disk module of flr """

import os
import shutil


def ensure_dir_empty(dir_path):
    """
    Ensure a directory exists and is empty

    :param dir_path: str, path to directory that should exist and be empty
    """

    if os.path.isfile(dir_path):
        raise OSError("{0}: Exists and is a file".format(dir_path))

    if os.path.islink(dir_path):
        raise OSError("{0}: Exists and is a symlink".format(dir_path))

    if os.path.isdir(dir_path):
        print "SHUTIL.RMTREE"
        shutil.rmtree(dir_path)

    os.mkdir(dir_path)


# vim: tabstop=8 expandtab shiftwidth=4 softtabstop=4
