#!/usr/bin/env python2
# -*- coding: utf-8 -*-

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA

""" rpm module of flr """

def get_nvr(pkg_name):
    """
    Return a tuple of the rpm's (name, version, release)

    :param pkg_name: str, full name of the rpm
    """

    arches = [
        'i386',
        'i486',
        'i586',
        'i686',
        'x86_64',
        'armv7hl',
        'aarch64',
        'ppc',
        'ppc64',
        'ppc64le',
        'mipsel',
        'mips64el',
        's390',
        's390x',
    ]

    # Strip out the arch if provided
    if pkg_name.split(".")[-1] in arches:
        pkg_name = pkg_name.replace(".{0}".format(pkg_name.split(".")[-1]), "")

    nvr_split = pkg_name.split("-")

    release = nvr_split[-1]
    version = nvr_split[-2]
    name = pkg_name.replace("-{0}-{1}".format(version, release), "")

    return (name, version, release)


# vim: tabstop=8 expandtab shiftwidth=4 softtabstop=4
